Get HTTP schedule
curl --request GET \
--url https://scheduler.studio.lyzr.ai/http-schedules/{schedule_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://scheduler.studio.lyzr.ai/http-schedules/{schedule_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scheduler.studio.lyzr.ai/http-schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "66f1c4d2e4b0a1b2c3d4e5f8",
"url": "https://api.example.com/reports/refresh",
"method": "POST",
"timeout_seconds": 120,
"cron_expression": "0 2 * * *",
"timezone": "UTC",
"created_at": "2023-11-07T05:31:56Z",
"headers": {},
"body": "<unknown>",
"max_retries": 3,
"retry_delay": 60,
"label": "Nightly report refresh",
"is_active": true,
"updated_at": "2023-11-07T05:31:56Z",
"next_run_time": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_success": true,
"last_run_status": 123,
"last_attempt_count": 123
}HTTP Schedules
Get HTTP Schedule
Get one HTTP schedule.
GET
/
http-schedules
/
{schedule_id}
Get HTTP schedule
Authorizations
Lyzr API key. Required on every endpoint except Trigger Webhook.
Path Parameters
ID of the schedule.
Example:
"66f1c2a9e4b0a1b2c3d4e5f6"
Response
The HTTP schedule.
Example:
"66f1c4d2e4b0a1b2c3d4e5f8"
Example:
"https://api.example.com/reports/refresh"
Example:
"POST"
Example:
120
Example:
"0 2 * * *"
Example:
"UTC"
Show child attributes
Show child attributes
Stored request body.
Example:
"Nightly report refresh"
false when the schedule is paused.
When the schedule will next fire. null while paused.
HTTP status code returned by the target on the most recent run.
Number of attempts the most recent run took.